/* This file is part Tempura: Interval Temporal Logic interpreter.
 *  
 * Copyright (C) 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 
 * 2007, 2008, 2009, 2010, 2011, 2012  Antonio Cau 
 *
 * Tempura is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Tempura is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Tempura.  If not, see <http://www.gnu.org/licenses/>.
 *
 * fac.c
 * the C-source of the factorial program with
 * assertion points
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include "assertion.h"


/* delay for time units */
void Delay(void)
{
    int counter_1=0; 
     while (counter_1<20000*50)
    {
        counter_1++;
        };
    
}
/* Factorial tester */

main()
{
int y, fac=1;
 
    text_out("Enter the seed:");
    scanf ("%d", &y);text_out("received seed");assertion ("fac", fac);assertion ("y", y);
    while (y>1) {
      Delay();fac=fac*y;assertion ("fac", fac);
      Delay();y=y-1;assertion ("y", y);
      
    }
    
    
 }

 
