/* -*- Mode: C -*-
 * This file is part Tempura: Interval Temporal Logic interpreter.
 *  
 * Copyright (C) 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 
 * 2007, 2008, 2009, 2010, 2011, 2012  Antonio Cau 
 *
 * Tempura is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Tempura is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Tempura.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/* 
 * small demo program to check if two programs (demo1 and demo2) 
 * are equivalent by feeding them input
 * 
 */

set print_states=false.

define demo1(X,Y) = {
 len(5) and  
 always( if X<0 then Y=-1 
                else if X=0 then Y=0 
                            else Y=1)
}.
         
define demo2(X,Y) = {
 len(5) and
 always( if X=0 then Y=0 
                else if X>0 then Y=1 
                            else Y=-1)
}.

/* run */ define test1() = {
  exists X,Y : {
 always (input X and format("Y=%t \n",Y) ) and demo1(X,Y) }
}.

/* run */ define test2() = {
  exists X,Y : {
 always (input X and format("Y=%t \n",Y) ) and demo2(X,Y) }
}.

